1. Nimm jetzt an unserem Uhans - 3. ADVENT - Gewinnspiel teil - Alle Informationen findest Du hier!

Welche Openvpn Version ist bei cyanogenmod dabei?

Dieses Thema im Forum "Root / Hacking / Modding für T-Mobile G1" wurde erstellt von jeibie, 18.11.2009.

  1. jeibie, 18.11.2009 #1
    jeibie

    jeibie Threadstarter Erfahrener Benutzer

    Beiträge:
    182
    Erhaltene Danke:
    8
    Registriert seit:
    17.11.2009
    Phone:
    N5x
  2. j_d_, 19.11.2009 #2
    j_d_

    j_d_ Android-Experte

    Beiträge:
    590
    Erhaltene Danke:
    100
    Registriert seit:
    17.06.2009
    Phone:
    OnePlus One
    also ich finde auf der seite keine versionsangaben zu openvpn. aber ich kann dir sagen, dass in cm4.2.5 openvpn 2.1_rc15 dabei ist. ein frontend gibt es bisher nicht, aber über die config dateien kann man es gut verwenden.
     
  3. jeibie, 19.11.2009 #3
    jeibie

    jeibie Threadstarter Erfahrener Benutzer

    Beiträge:
    182
    Erhaltene Danke:
    8
    Registriert seit:
    17.11.2009
    Phone:
    N5x
    OK, das ist doch schon einmal eine Aussage.
    Dann sollten auch die entsprechenden ssl Dateien dabei sein.

    Hintergrund meiner Frage ist folgender:
    Wenn ich versuche, via der Kommandozeile eine openvpn Verbindung aufzubauen, bekomme ich folgende Fehlermeldung:
    Cannot load private key file private.key.pem: error:pEM routines:pEM_do_header:bad password read: error: Error: private key password verification failed
    (Unter Linux funkionierts)

    Nach einigem hin-und-her goggeln hatte ich die Vermutung, dass die openvpn Implementierung unter Cyanogenmod unvollständig ist - aber ich glaube, da bin ich auf der falschen Fährte - oder?

    Funktionierts bei Dir (und wenn ja mit welchen Zertifikaten)?

    Danke
    JeiBie
     
  4. j_d_, 19.11.2009 #4
    j_d_

    j_d_ Android-Experte

    Beiträge:
    590
    Erhaltene Danke:
    100
    Registriert seit:
    17.06.2009
    Phone:
    OnePlus One
    also ich verwende nur ein zertifikat das im gleichen ordner wie die config liegt.
    poste (bzw. häng sie an) doch mal deine config
     

Diese Seite empfehlen